summaryrefslogtreecommitdiffstats
path: root/jjb/scripts
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2022-08-11 17:07:12 -0400
committerDave Wallace <dwallacelf@gmail.com>2022-08-11 17:38:09 -0400
commita97057b8d053120616aaf764cd254e8b6407906a (patch)
tree26971590d00b95fe830c09ee1e12360a8ea1d434 /jjb/scripts
parent2d13650a9bf7fb78763e2dd777e4f5d1aaa8aeb0 (diff)
post 22.06 vpp job clean up
- Remove ubuntu-18.04 jobs - Remove vpp 21.10 jobs - Address TODO clean up now that 21.06 & 21.10 are no longer supported - Remove unused jjb/hc2vpp (archived project) Change-Id: I9da69fa175ebb647476916e9921f4149045408b4 Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'jjb/scripts')
-rwxr-xr-xjjb/scripts/publish_docs.sh17
-rwxr-xr-xjjb/scripts/setup_vpp_ext_deps.sh21
-rwxr-xr-xjjb/scripts/vpp/docs.sh9
-rw-r--r--jjb/scripts/vpp/gcc-build.sh4
-rwxr-xr-xjjb/scripts/vpp/make-test-docs.sh32
5 files changed, 6 insertions, 77 deletions
diff --git a/jjb/scripts/publish_docs.sh b/jjb/scripts/publish_docs.sh
index adc179668..891e57a7b 100755
--- a/jjb/scripts/publish_docs.sh
+++ b/jjb/scripts/publish_docs.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -45,22 +45,9 @@ if [[ ${JOB_NAME} == *merge* ]]; then
;;
*"vpp-docs"*)
vpp_release="$(${WORKSPACE}/build-root/scripts/version rpm-version)"
- # TODO: Remove conditional statement when stable/2106 and
- # stable/2110 are no longer supported
- if [[ "${vpp_release::2}" -ge "22" ]] ; then
- workspace_dir="${WORKSPACE}/build-root/docs/html"
- else
- workspace_dir="${WORKSPACE}/docs/_build/html"
- fi
+ workspace_dir="${WORKSPACE}/build-root/docs/html"
bucket_path="/vpp/${vpp_release}/"
;;
- # TODO: Remove 'vpp-make-test-docs' when stable/2106 and
- # stable/2110 are no longer supported
- *"vpp-make-test-docs"*)
- vpp_release="$(${WORKSPACE}/build-root/scripts/version rpm-version)"
- workspace_dir="${WORKSPACE}/test/doc/build/html"
- bucket_path="/vpp/${vpp_release}/vpp_make_test/html/"
- ;;
*)
die "Unknown job: ${JOB_NAME}"
esac
diff --git a/jjb/scripts/setup_vpp_ext_deps.sh b/jjb/scripts/setup_vpp_ext_deps.sh
index 5ace223cf..077dca163 100755
--- a/jjb/scripts/setup_vpp_ext_deps.sh
+++ b/jjb/scripts/setup_vpp_ext_deps.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -62,25 +62,6 @@ if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
echo "Removing packagecloud.io repository references and running apt-get update"
sudo rm -f /etc/apt/sources.list.d/fdio_*.list
sudo apt-get update -qq || true
-#TODO: Remove centos when VPP 21.06 is no longer supported
-elif [ "${OS_ID,,}" == "centos" ] ; then
- if [ "${STREAM}" != "master" ] ; then
- echo "stream '${STREAM}' is not master: replacing packagecloud repo list with stream specific list"
- sudo yum -y erase vpp-ext-deps || true
- sudo yum clean all || true
- sudo rm -f /etc/yum.repos.d/fdio_master.repo
- curl -s $INSTALL_URL/script.rpm.sh | sudo bash || true
- fi
- vpp_ext_deps_version="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $2}')"
- vpp_ext_deps_pkg="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $1}')"
- vpp_ext_deps_pkg="${vpp_ext_deps_pkg/./-${vpp_ext_deps_version}.}.rpm"
- if [ -f "$vpp_ext_deps_pkg" ] ; then
- echo "Installing cached vpp-ext-deps pkg: $vpp_ext_deps_pkg"
- sudo yum -y localinstall "$downloads_dir/$vpp_ext_deps_pkg" || true
- else
- echo "Installing vpp-ext-deps from packagecloud.io"
- sudo yum -y install vpp-ext-deps || true
- fi
else
echo "ERROR: Unsupported OS '$OS_ID'!"
fi
diff --git a/jjb/scripts/vpp/docs.sh b/jjb/scripts/vpp/docs.sh
index 2d80e5593..52b920e31 100755
--- a/jjb/scripts/vpp/docs.sh
+++ b/jjb/scripts/vpp/docs.sh
@@ -26,11 +26,4 @@ if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
exit 0
fi
-# TODO: Remove conditional statement when stable/2106 and stable/2110 are no
-# longer supported
-vpp_release="$(${WORKSPACE}/build-root/scripts/version rpm-version)"
-if [[ "${vpp_release::2}" -ge "22" ]] ; then
- make UNATTENDED=yes docs docs-spell
-else
- make UNATTENDED=yes docs-venv docs
-fi
+make UNATTENDED=yes docs
diff --git a/jjb/scripts/vpp/gcc-build.sh b/jjb/scripts/vpp/gcc-build.sh
index 488e8d7d7..5afe739db 100644
--- a/jjb/scripts/vpp/gcc-build.sh
+++ b/jjb/scripts/vpp/gcc-build.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -49,7 +49,7 @@ make_build_release_build_test_gcov_sanity() {
fi
# TODO: Add 'smoke test' env var to select smoke test cases
# then update this accordingly. For now pick a few basic suites...
- MAKE_TEST_SUITES="vlib vppinfra vpe_api vapi vom bihash"
+ MAKE_TEST_SUITES="vlib vppinfra vpe_api vapi cli bihash"
for suite in $MAKE_TEST_SUITES ; do
if ! make UNATTENDED=yes GCOV_TESTS=1 TEST_JOBS=auto TEST=$suite test ; then
BUILD_ERROR="FAILED 'make GCOV_TESTS=1 TEST_JOBS=auto TEST=$suite test'!"
diff --git a/jjb/scripts/vpp/make-test-docs.sh b/jjb/scripts/vpp/make-test-docs.sh
deleted file mode 100755
index 0c6e2156d..000000000
--- a/jjb/scripts/vpp/make-test-docs.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2021 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/vpp/make-test-docs.sh"
-
-set -euxo pipefail
-
-# TODO: Remove this file when stable/2106 and stable/2110 are no longer
-# supported as 'make test-doc' is deprecated in master (VPP 22.02)
-
-line="*************************************************************************"
-# Don't build anything if this is a merge job being run when
-# the git HEAD id is not the same as the Gerrit New Revision id.
-if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
- [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
- echo -e "\n$line\nSkipping 'make test' docs build. A newer patch has been merged.\n$line\n"
- exit 0
-fi
-
-make test-doc